Mempool
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| GET | /v1/fees | Fees |
| GET | /v1/mempool | Mempool Info |
GET /v1/fees
Fees.
curl -s http://127.0.0.1:28332/v1/feesResponse 200 (application/json): Fees
| Field | Type | Required | Notes |
|---|---|---|---|
asset_issuance_fee | string | yes | |
estimates | FeeTarget[] | null | no | rate per confirmation target (1, 2, 3, 6, 12, 36 and 144 blocks). may be null |
fee_per_kb | integer | yes | next block, from the mempool projection |
min_relay_fee_per_kb | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: fees_v1_fees_get
GET /v1/mempool
Mempool Info.
curl -s http://127.0.0.1:28332/v1/mempoolParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
limit | query | integer | no | min 0, max 10000, default 1000 |
Response 200 (application/json): MempoolInfo
| Field | Type | Required | Notes |
|---|---|---|---|
bytes | integer | yes | |
count | integer | yes | |
fee_per_kb_estimate | integer | yes | |
txids | string[] | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: mempool_info_v1_mempool_get
Schemas
FeeTarget
| Field | Type | Required | Notes |
|---|---|---|---|
fee_per_kb | integer | yes | base units per 1000 bytes to confirm within target_blocks |
source | string | yes | which view set the rate: the mempool projection or the confirmation history. one of mempool, history |
target_blocks | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
Fees
| Field | Type | Required | Notes |
|---|---|---|---|
asset_issuance_fee | string | yes | |
estimates | FeeTarget[] | null | no | rate per confirmation target (1, 2, 3, 6, 12, 36 and 144 blocks). may be null |
fee_per_kb | integer | yes | next block, from the mempool projection |
min_relay_fee_per_kb | integer | yes |
Unknown fields may be added within v1; clients must ignore them.
MempoolInfo
| Field | Type | Required | Notes |
|---|---|---|---|
bytes | integer | yes | |
count | integer | yes | |
fee_per_kb_estimate | integer | yes | |
txids | string[] | yes |
Unknown fields may be added within v1; clients must ignore them.